2.3插件版API1.4正式发布
管理员

版本说明:

此版本为2.3移植版,即将2.3的主要更新内容移植到了API1.4,与原版不完全一样,但也进入2.3行列了,所以给了个新的版本号2.3.0.0


mod兼容问题:

游戏插件框架仍然是API1.4,所以API1.4的mod是可以加载的
有部分API1.4的mod加载时出错,是因为mod内容与新增功能冲突了。
这需要mod开发者做调整,发布新版本。
至于什么mod会冲突,自己加进去试试就知道了。


对于mod开发者:

2.3插件版已经稳定了,mod可以开始对接到2.3。在大多API1.4的mod对接到2.3后,我们会回收API1.4R3/R2/R1,即2.2的API1.4

2.3的mod发布请在名称前加上[2.3],如[2.3]命令方块2.0.7.scmod。
当然,保留[API1.4]也是可以的,更改只是为了方便玩家辨认,以及使用“2.3"关键字搜索。
至于modinfo.json文件里的ScVersion,可以改也可以不改,不会影响,如果要改可以改为2.3.0.0。


版本整顿:
以后,不再分各种各样的插件版本,只留3个API版本,方便教程的编写与整理,同时降低新人的学习成本。

API1.4默认对应2.3,API1.3默认对应2.2,API1.2默认对应2.1。

如果新人想玩2.3,推荐最新的API1.4;如果新人想玩2.2,推荐API1.33;如果新人想玩2.1,推荐API1.2。

个别mod作者如果想停留在2.2,可以在自己的群留下API1.4R3。无特殊情况的话,请在1.4R3的mod对接到2.3后,删除群里的API1.4R3。


更新说明:
更新内容请看到发布页。有什么影响游戏体验的bug可在评论区反馈,如果是小问题则忽略。事实上,在发布前的测试环节并未发现什么大问题,所以此版本将会拟想为稳定版本


下载地址:
生存战争2.3插件版-发布历史 (schub.top)

社区小蜜蜂 最后编辑于 2022年04月17日 下午 17:10
ylxh204 回复

在2.3mod成熟后,可以把2.2进行清除,2.3和2.2的生存体系数据是差不多的,2.1的生存区别较大,主2.3,2.1进行逐时淘汰

(带鸽子)多人 回复

不得不说现在只剩三个版本不仅没有降低学习成本反而还提升了...这是一个错误的决定,而且[回收]我不觉得能落实下来,毕竟总有人喜欢屯这个东西当然也包括游戏版本.....

查看1条回复
小明 回复

我问一下不知道是不是bug,我开了潜行为什么跟没有开一样

查看1条回复
辉麟大聪明 回复

为什么我点进去插件版的文件夹里面没有mods这个文件?

查看1条回复
生存战争百科 当前在线:239人 更多信息